Create a VPC subnet

Creates a subnet in a VPC. Requires scope: network.write.

Authentication

AuthorizationBearer

IBEE platform API token, for example: ibee_live_xxx.

Path parameters

vpc_idstringRequired
VPC ID.

Query parameters

workspace_idstringRequired
The workspace ID to scope this request to.

Request

This endpoint expects an object.
namestringRequired1-80 characters
cidrstring or nullOptional
auto_cidrbooleanOptionalDefaults to true
prefix_lengthinteger or nullOptional22-29
dnslist of stringsOptionalDefaults to ["1.1.1.1","8.8.8.8"]

Response

Subnet created successfully.
subnet_idstring
vpc_idstring
site_idstring
namestring
cidrstring
gatewaystring
dnslist of strings
statusenum
created_atdatetime
updated_atdatetime
organization_idstring
workspace_idstring
error_messagestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error